## Infinity Documentation

Welcome to the Infinity developer documentation, and thank you for taking the time
to explore what this project has to offer.

### Preamble

*Dont' call it a framework!*

Infinity is not a theme framework. It is a radical new approach to theme development which
we have come to call a theming *engine*.
The authors' never ending battle with the nuances of WordPress drove us to invent a
new work flow pattern for the development of themes. We have implemented these ideas into a
prototype theme which insulates designers from PHP code.

The primary goal of our work flow pattern is to shift complicated theme configuration which
is normally done via arcane hooks, filters and API functions to simple configuration files.
A majority of the customization and configuration of a theme can be done with
*no PHP code required*.

Some of the more powerful features of the configuration files are *cascading option
panels*, **cascading theme images** and *automatic style and script enqueueing*.

There is a very small learning curve to start using these configuration files, as all
of the terminology should be familiar to even novice theme developers.

As a side effect of our work, we discovered some amazing possibilities. Now that everything
was defined in configuration files, we were able to implement *infinite child themes*, complete
with configuration and options panel inheritance. This allows you to build a hierarchy of
themes which all inherit their design, options, and features from their parents.

Another important distinction is that Infinity is *only extended*, never modified, so you can
upgrade your entire hierarchy of themes to the latest and greatest version of Infinity
without having to touch a single one of your child themes until you are ready.

Infinity is the culmination of many thousands of hours of research and development.
We hope you enjoy it.

If you wish to support us, the best way is to get involved in the community!

Ok, enough talk... let's [get started](infinity://admin:doc/scheme)!
